# Created by: Juraj Lutter <otis@FreeBSD.org>

PORTNAME=	oha
DISTVERSIONPREFIX=	v
DISTVERSION=	0.5.1
CATEGORIES=	net

MAINTAINER=	otis@FreeBSD.org
COMMENT=	Web load generator

LICENSE=	MIT

USES=		cargo ssl
USE_GITHUB=	yes
GH_ACCOUNT=	hatoo

CARGO_CRATES=	anyhow-1.0.56 \
		assert_cmd-2.0.4 \
		async-trait-0.1.53 \
		atty-0.2.14 \
		autocfg-1.1.0 \
		average-0.13.1 \
		base64-0.13.0 \
		bitflags-1.3.2 \
		block-buffer-0.9.0 \
		block-buffer-0.10.2 \
		bstr-0.2.17 \
		buf_redux-0.8.4 \
		bumpalo-3.9.1 \
		byte-unit-4.0.14 \
		byteorder-1.4.3 \
		bytes-1.1.0 \
		cassowary-0.3.0 \
		cc-1.0.73 \
		cfg-if-1.0.0 \
		clap-3.1.6 \
		clap_derive-3.1.4 \
		core-foundation-0.9.3 \
		core-foundation-sys-0.8.3 \
		cpufeatures-0.2.2 \
		crossterm-0.22.1 \
		crossterm_winapi-0.9.0 \
		crypto-common-0.1.3 \
		data-encoding-2.3.2 \
		difflib-0.4.0 \
		digest-0.9.0 \
		digest-0.10.3 \
		doc-comment-0.3.3 \
		easy-cast-0.4.4 \
		either-1.6.1 \
		enum-as-inner-0.4.0 \
		fastrand-1.7.0 \
		float-ord-0.3.2 \
		flume-0.10.12 \
		fnv-1.0.7 \
		foreign-types-0.3.2 \
		foreign-types-shared-0.1.1 \
		form_urlencoded-1.0.1 \
		futures-0.3.21 \
		futures-channel-0.3.21 \
		futures-core-0.3.21 \
		futures-executor-0.3.21 \
		futures-io-0.3.21 \
		futures-macro-0.3.21 \
		futures-sink-0.3.21 \
		futures-task-0.3.21 \
		futures-util-0.3.21 \
		generic-array-0.14.5 \
		get-port-4.0.0 \
		getrandom-0.2.6 \
		h2-0.3.12 \
		hashbrown-0.11.2 \
		headers-0.3.7 \
		headers-core-0.2.0 \
		heck-0.4.0 \
		hermit-abi-0.1.19 \
		hostname-0.3.1 \
		http-0.2.6 \
		http-body-0.4.4 \
		httparse-1.6.0 \
		httpdate-1.0.2 \
		humantime-2.1.0 \
		hyper-0.14.18 \
		idna-0.2.3 \
		indexmap-1.8.0 \
		instant-0.1.12 \
		ipconfig-0.3.0 \
		ipnet-2.4.0 \
		itertools-0.10.3 \
		itoa-1.0.1 \
		js-sys-0.3.56 \
		lazy_static-1.4.0 \
		libc-0.2.121 \
		libm-0.2.2 \
		linked-hash-map-0.5.4 \
		lock_api-0.4.6 \
		log-0.4.16 \
		lru-cache-0.1.2 \
		match_cfg-0.1.0 \
		matches-0.1.9 \
		memchr-2.4.1 \
		mime-0.3.16 \
		mime_guess-2.0.4 \
		mio-0.7.14 \
		mio-0.8.2 \
		miow-0.3.7 \
		multipart-0.18.0 \
		nanorand-0.7.0 \
		native-tls-0.2.10 \
		ntapi-0.3.7 \
		num-traits-0.2.14 \
		num_cpus-1.13.1 \
		once_cell-1.10.0 \
		opaque-debug-0.3.0 \
		openssl-0.10.38 \
		openssl-probe-0.1.5 \
		openssl-sys-0.9.72 \
		os_str_bytes-6.0.0 \
		parking_lot-0.11.2 \
		parking_lot-0.12.0 \
		parking_lot_core-0.8.5 \
		parking_lot_core-0.9.1 \
		percent-encoding-2.1.0 \
		pin-project-1.0.10 \
		pin-project-internal-1.0.10 \
		pin-project-lite-0.2.8 \
		pin-utils-0.1.0 \
		pkg-config-0.3.24 \
		ppv-lite86-0.2.16 \
		predicates-2.1.1 \
		predicates-core-1.0.3 \
		predicates-tree-1.0.5 \
		proc-macro-error-1.0.4 \
		proc-macro-error-attr-1.0.4 \
		proc-macro2-1.0.36 \
		quick-error-1.2.3 \
		quote-1.0.17 \
		rand-0.8.5 \
		rand_chacha-0.3.1 \
		rand_core-0.6.3 \
		redox_syscall-0.2.12 \
		regex-automata-0.1.10 \
		remove_dir_all-0.5.3 \
		resolv-conf-0.7.0 \
		rlimit-0.7.0 \
		ryu-1.0.9 \
		safemem-0.3.3 \
		schannel-0.1.19 \
		scoped-tls-1.0.0 \
		scopeguard-1.1.0 \
		security-framework-2.6.1 \
		security-framework-sys-2.6.1 \
		serde-1.0.136 \
		serde_json-1.0.79 \
		serde_urlencoded-0.7.1 \
		sha-1-0.9.8 \
		sha-1-0.10.0 \
		signal-hook-0.3.13 \
		signal-hook-mio-0.2.3 \
		signal-hook-registry-1.4.0 \
		slab-0.4.5 \
		smallvec-1.8.0 \
		socket2-0.4.4 \
		spin-0.9.2 \
		strsim-0.10.0 \
		syn-1.0.90 \
		tempfile-3.3.0 \
		termcolor-1.1.3 \
		termtree-0.2.4 \
		textwrap-0.15.0 \
		thiserror-1.0.30 \
		thiserror-impl-1.0.30 \
		tinyvec-1.5.1 \
		tinyvec_macros-0.1.0 \
		tokio-1.17.0 \
		tokio-macros-1.7.0 \
		tokio-native-tls-0.3.0 \
		tokio-stream-0.1.8 \
		tokio-tungstenite-0.15.0 \
		tokio-util-0.6.9 \
		tower-service-0.3.1 \
		tracing-0.1.32 \
		tracing-core-0.1.23 \
		trust-dns-proto-0.21.1 \
		trust-dns-resolver-0.21.1 \
		try-lock-0.2.3 \
		tui-0.17.0 \
		tungstenite-0.14.0 \
		twoway-0.1.8 \
		typenum-1.15.0 \
		unicase-2.6.0 \
		unicode-bidi-0.3.7 \
		unicode-normalization-0.1.19 \
		unicode-segmentation-1.9.0 \
		unicode-width-0.1.9 \
		unicode-xid-0.2.2 \
		url-2.2.2 \
		utf-8-0.7.6 \
		utf8-width-0.1.6 \
		vcpkg-0.2.15 \
		version_check-0.9.4 \
		wait-timeout-0.2.0 \
		want-0.3.0 \
		warp-0.3.2 \
		wasi-0.10.2+wasi-snapshot-preview1 \
		wasi-0.11.0+wasi-snapshot-preview1 \
		wasm-bindgen-0.2.79 \
		wasm-bindgen-backend-0.2.79 \
		wasm-bindgen-macro-0.2.79 \
		wasm-bindgen-macro-support-0.2.79 \
		wasm-bindgen-shared-0.2.79 \
		widestring-0.5.1 \
		winapi-0.3.9 \
		winapi-i686-pc-windows-gnu-0.4.0 \
		winapi-util-0.1.5 \
		winapi-x86_64-pc-windows-gnu-0.4.0 \
		windows-sys-0.32.0 \
		windows_aarch64_msvc-0.32.0 \
		windows_i686_gnu-0.32.0 \
		windows_i686_msvc-0.32.0 \
		windows_x86_64_gnu-0.32.0 \
		windows_x86_64_msvc-0.32.0 \
		winreg-0.7.0

PLIST_FILES=	bin/oha

post-install:
		${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/oha

.include <bsd.port.mk>
